#
# Please do not update/rebuild/touch this package before asking first to mikala and/or neoclust
# This package is part of the KDE Stack.
#


%define rel 1

Name: kompare
Summary: A diff graphic tool
Version: 4.12.5
Group: Graphical desktop/KDE
Release: %mkrel %{rel}
Epoch: 1
License: GPLv2 and LGPLv2 and GFDL
Source: ftp://ftp.kde.org/pub/kde/stable/%{version}/src/%{name}-%{version}.tar.xz

BuildRequires: kdelibs4-devel >= 2:%{version}
BuildRequires: libkomparediff2-devel >= 1:%{version}

Conflicts: kdesdk4-core < 1:4.10.80

Obsoletes: kbugbuster < 1:4.5.76

%description

Kompare is a GUI front-end program that enables differences between source files
to be viewed and merged. It can be used to compare differences on files or the
contents of folders, and it supports a variety of diff formats and provide many
options to customize the information level displayed.

Features :
   -Comparing directories
   -Reading diff files
   -Creating and applying patches

%files 
%_kde_bindir/kompare
%_kde_libdir/kde4/komparenavtreepart.so
%_kde_libdir/kde4/komparepart.so
%_kde_datadir/applications/kde4/kompare.desktop
%_kde_appsdir/kompare
%_kde_iconsdir/hicolor/*/apps/kompare.png
%_kde_iconsdir/hicolor/scalable/apps/kompare.svgz
%_kde_services/komparenavtreepart.desktop
%_kde_services/komparepart.desktop
%_kde_servicetypes/komparenavigationpart.desktop
%_kde_servicetypes/kompareviewpart.desktop
%_kde_docdir/*/*/kompare

#------------------------------------------------------------------------------

%define  komparedialogpages_major 4
%define  libkomparedialogpages %mklibname komparedialogpages %komparedialogpages_major

%package -n %libkomparedialogpages
Summary:    Runtime library for Kompare
Group:      System/Libraries

%description -n %libkomparedialogpages
Runtime library for Kompare.

%files -n %libkomparedialogpages
%_kde_libdir/libkomparedialogpages.so.%{komparedialogpages_major}*

#------------------------------------------------------------------------------

%define  kompareinterface_major 4
%define  libkompareinterface %mklibname kompareinterface %kompareinterface_major

%package -n %libkompareinterface
Summary:    Runtime library for Kompare
Group:      System/Libraries

%description -n %libkompareinterface
Runtime library for Kompare.

%files -n %libkompareinterface
%_kde_libdir/libkompareinterface.so.%{kompareinterface_major}*

#------------------------------------------------------------------------------

%package    devel
Summary:    Header files for kdesdk
Group:      Development/KDE and Qt

Requires: %libkomparedialogpages = %epoch:%version
Requires: %libkompareinterface = %epoch:%version

Conflicts: kdesdk4-devel < 1.4.10.80
Conflicts: kdeutils4-devel < 4.5.71
Conflicts: kremotecontrol < 4.5.71

%description  devel
This package includes the header files you will need to compile applications
against %{name}

%files devel
%_kde_includedir/*
%_kde_libdir/libkompareinterface.so
%_kde_libdir/libkomparedialogpages.so

#------------------------------------------------------------------------------

%prep
%setup -q

%build
export LD=/usr/bin/ld.gold
%cmake_kde4 -DKDE4_ENABLE_FINAL=OFF
%make

%install
rm -fr %buildroot
%makeinstall_std -C build

%changelog
* Sun Jun 29 2014 lmenut <lmenut> 1:4.12.5-1.mga4
+ Revision: 641330
- Update to KDE SC 4.12.5
  add BuildRequires libkomparediff2-devel
  update file list

  + neoclust <neoclust>
    - New version 4.11.5

* Wed Dec 04 2013 lmenut <lmenut> 1:4.11.4-1.mga4
+ Revision: 555020
- Update tarball to KDE SC 4.11.4

* Thu Nov 14 2013 lmenut <lmenut> 1:4.11.3-1.mga4
+ Revision: 551292
- Update tarball to KDE SC 4.11.3

* Mon Oct 21 2013 umeabot <umeabot> 1:4.11.2-2.mga4
+ Revision: 540366
- Mageia 4 Mass Rebuild

* Thu Oct 03 2013 mikala <mikala> 1:4.11.2-1.mga4
+ Revision: 490821
- Update tarball to KDE SC 4.11.2

* Mon Sep 09 2013 mikala <mikala> 1:4.11.1-1.mga4
+ Revision: 476902
- Update tarball to KDE SC 4.11.1

* Sat Aug 10 2013 mikala <mikala> 1:4.11.0-1.mga4
+ Revision: 465242
- Update tarball to KDE SC 4.11.0

* Sat Jul 27 2013 lmenut <lmenut> 1:4.10.97-1.mga4
+ Revision: 458938
- Update tarball to KDE SC 4.10.97 aka KDE SC 4.11 RC2

* Wed Jul 17 2013 lmenut <lmenut> 1:4.10.95-1.mga4
+ Revision: 455324
- Update tarball to KDE SC 4.10.95 aka KDE SC 4.11 RC1

* Fri Jun 28 2013 mikala <mikala> 1:4.10.90-1.mga4
+ Revision: 448016
- Update tarball to KDE SC 4.10.90 aka KDE SC 4.11 Beta 2
- imported package kompare

